For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETList Tax Rates
              • POSTCreate Tax Rates
              • PUTUpdate Tax Rates
              • DELDelete Tax Rates
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Rates

Update Tax Rates

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/tax/rates
PUT
/stores/:store_hash/v3/tax/rates
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/tax/rates \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "id": 12,
> "class_rates": [
> {
> "rate": 7,
> "tax_class_id": 1
> },
> {
> "rate": 2,
> "tax_class_id": 3
> }
> ],
> "enabled": true,
> "name": "California State Tax",
> "priority": 1,
> "tax_zone_id": 5
> },
> {
> "id": 15,
> "class_rates": [
> {
> "rate": 5,
> "tax_class_id": 2
> }
> ],
> "enabled": false,
> "name": "Luxury Goods Tax",
> "priority": 2,
> "tax_zone_id": 7
> }
>]'
200Example 1
1{
2 "data": [
3 {
4 "class_rates": [
5 {
6 "rate": 7,
7 "tax_class_id": 1
8 },
9 {
10 "rate": 2,
11 "tax_class_id": 3
12 }
13 ],
14 "enabled": true,
15 "id": 12,
16 "name": "California State Tax",
17 "priority": 1,
18 "tax_zone_id": 5
19 },
20 {
21 "class_rates": [
22 {
23 "rate": 5,
24 "tax_class_id": 2
25 }
26 ],
27 "enabled": false,
28 "id": 15,
29 "name": "Luxury Goods Tax",
30 "priority": 2,
31 "tax_zone_id": 7
32 }
33 ],
34 "meta": {}
35}

Update one or more tax rates. Only the tax rate id field is required. Fields unspecified by the request will retain their current state.

Was this page helpful?
Previous

Create Tax Rates

Next

Delete Tax Rates

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
idintegerRequired
Tax Rate ID. Internal identifier to update and delete a specific tax rate.
class_rateslist of objectsOptional
Tax rates for tax classes. You must assign at least one tax rate for each tax class defined on a store.
enabledbooleanOptionalDefaults to true
Indicates whether a tax rate is enabled. Tax operations are only for enabled zones.
namestringOptional

The human-readable name for this tax zone. The name appears in the store control panel and may be visible to shoppers, depending on store tax settings.

priorityintegerOptionalDefaults to 1
Allows for compounding tax rates, common in certain jurisdictions.
tax_zone_idintegerOptional
ID of an associated tax zone. You must associate a tax rate with a tax zone.

Response

OK
datalist of objects
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.